## libubootenv 0.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (libubootenv C)

# The version number.
# set (libubootenv_VERSION_MAJOR 1)
# set (libubootenv_VERSION_MAJOR_VERSION_MINOR 0)
set(VERSION	"0.2")
SET(SOVERSION "${VERSION}")
add_definitions(-DVERSION="${VERSION}")

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")

#set(CMAKE_C_FLAGS_DEBUG "-g")
include_directories ("${PROJECT_SOURCE_DIR}/src")
add_subdirectory (src)

# first we can indicate the documentation build as an option and set it to ON by default
option(BUILD_DOC "Build documentation" ON)

# check if Doxygen is installed
find_package(Doxygen)
if (DOXYGEN_FOUND)
    # set input and output files
    set(DOXYGEN_IN ${CMAKE_CURRENT_SOURCE_DIR}/docs/Doxyfile.in)
    set(DOXYGEN_OUT ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

    # request to configure the file
    configure_file(${DOXYGEN_IN} ${DOXYGEN_OUT} @ONLY)
    message("Doxygen build started")

    # note the option ALL which allows to build the docs together with the application
    add_custom_target( doc_doxygen ALL
        COMMAND ${DOXYGEN_EXECUTABLE} ${DOXYGEN_OUT}
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        COMMENT "Generating API documentation with Doxygen"
        VERBATIM )
else (DOXYGEN_FOUND)
  message("Doxygen need to be installed to generate the doxygen documentation")
endif (DOXYGEN_FOUND)

=== src/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
# Sources and private headers
SET(libubootenv_SOURCES
  uboot_env.c
  uboot_private.h
)

# Public headers
SET(include_HEADERS
  libuboot.h
)

add_library(ubootenv SHARED ${libubootenv_SOURCES} ${include_HEADERS})
SET_TARGET_PROPERTIES(ubootenv PROPERTIES SOVERSION ${SOVERSION})

ADD_LIBRARY(ubootenv_static STATIC ${libubootenv_SOURCES} ${include_HEADERS})
add_executable(fw_printenv fw_printenv.c)
add_executable(fw_setenv fw_setenv.c)
target_link_libraries(fw_printenv ubootenv z)
target_link_libraries(fw_setenv ubootenv z)

install (TARGETS ubootenv DESTINATION lib)
install (FILES libuboot.h DESTINATION include)
install (TARGETS fw_printenv DESTINATION bin)
install (TARGETS fw_setenv DESTINATION bin)

=== debian/changelog ===
libubootenv (0.2-1) unstable; urgency=medium

  * Update to 0.2.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 31 Jan 2020 23:34:51 +0900

libubootenv (0.1-5) unstable; urgency=medium

  * Add Versioned Conflicts with u-boot-tools, as newer
    versions of u-boot-tools actually recommend libubootenv-tools.
    (Closes: #944644)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 02 Dec 2019 10:57:30 +0900

libubootenv (0.1-4) unstable; urgency=medium

  * Fix build reproducible. (Closes: #939547)
    Thanks, Chris Lamb.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 31 Oct 2019 17:25:10 +0900

libubootenv (0.1-3) unstable; urgency=medium

  * Use source upload.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 31 Oct 2019 16:56:35 +0900

libubootenv (0.1-2) unstable; urgency=medium

  * Add u-boot-tools Conflicts of libubootenv-tool (Closes: #939598)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 16 Sep 2019 06:30:21 +0900

libubootenv (0.1-1) unstable; urgency=low

  * Initial release. (Closes: #929047)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 16 Apr 2019 09:48:44 +0900

=== debian/control ===
Source: libubootenv
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Uploaders: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper (>= 11), cmake, zlib1g-dev, graphviz, doxygen
Standards-Version: 4.3.0
Section: utils
Homepage: https://github.com/sbabic/libubootenv
Vcs-Browser: https://salsa.debian.org/debian/libubootenv
Vcs-Git: https://salsa.debian.org/debian/libubootenv.git

Package: libubootenv-dev
Section: libdevel
Architecture: any
Depends: libubootenv0.1 (= ${binary:Version}), ${misc:Depends}
Suggests: libubootenv-doc
Multi-Arch: same
Description: Library to access U-Boot environment - development files
 libubootenv is a library that provides a hardware independent way to access
 to U-Boot environment. U-Boot has its default environment compiled
 board-dependently and this means that tools to access the environment are also
 board specific, too.
 .
 This package contains files that are needed to build applications.

Package: libubootenv0.1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Library to access U-Boot environment - runtime
 libubootenv is a library that provides a hardware independent way to access
 to U-Boot environment. U-Boot has its default environment compiled
 board-dependently and this means that tools to access the environment are also
 board specific, too.
 .
 This package includes the shared library.

Package: libubootenv-tool
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libubootenv0.1 (= ${binary:Version})
Multi-Arch: foreign
Conflicts: u-boot-tools (<< 2019.10)
Description: Library to access U-Boot environment - tool
 libubootenv is a library that provides a hardware independent way to access
 to U-Boot environment. U-Boot has its default environment compiled
 board-dependently and this means that tools to access the environment are also
 board specific, too.
 .
 This package contains files that is tool using libubootenv.

Package: libubootenv-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Library to access U-Boot environment - document
 libubootenv is a library that provides a hardware independent way to access
 to U-Boot environment. U-Boot has its default environment compiled
 board-dependently and this means that tools to access the environment are also
 board specific, too.
 .
 This package contains documentation for the libubootenv library.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CMAKE_FLAGS = \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	-DCMAKE_C_FLAGS_RELEASE="$(CFLAGS)" \
	-DCMAKE_EXE_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
	-DBUILD_DOCS=ON \
	-DCMAKE_INSTALL_INCLUDEDIR="include/$(DEB_HOST_MULTIARCH)"
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure \
		-- $(CMAKE_FLAGS) \
		-DCMAKE_SHARED_LINKER_FLAGS_RELEASE="$(LDFLAGS)"

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libubootenv-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/sbabic/libubootenv .*/v?(\d\S*)\.tar\.gz

## libubootenv 0.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (libubootenv C)

# The version number.
# set (libubootenv_VERSION_MAJOR 1)
# set (libubootenv_VERSION_MAJOR_VERSION_MINOR 0)
set(VERSION	"0.3")
SET(SOVERSION "${VERSION}")
add_definitions(-DVERSION="${VERSION}")

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")

#set(CMAKE_C_FLAGS_DEBUG "-g")
include_directories ("${PROJECT_SOURCE_DIR}/src")
add_subdirectory (src)

# first we can indicate the documentation build as an option and set it to ON by default
option(BUILD_DOC "Build documentation" ON)

# check if Doxygen is installed
if(BUILD_DOC)
    find_package(Doxygen)
    if (DOXYGEN_FOUND)
        # set input and output files
        set(DOXYGEN_IN ${CMAKE_CURRENT_SOURCE_DIR}/docs/Doxyfile.in)
        set(DOXYGEN_OUT ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

        # request to configure the file
        configure_file(${DOXYGEN_IN} ${DOXYGEN_OUT} @ONLY)
        message("Doxygen build started")

        # note the option ALL which allows to build the docs together with the application
        add_custom_target( doc_doxygen ALL
            COMMAND ${DOXYGEN_EXECUTABLE} ${DOXYGEN_OUT}
            WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
            COMMENT "Generating API documentation with Doxygen"
            VERBATIM )
    else (DOXYGEN_FOUND)
      message("Doxygen need to be installed to generate the doxygen documentation")
    endif (DOXYGEN_FOUND)
endif()

=== src/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
# Sources and private headers
SET(libubootenv_SOURCES
  uboot_env.c
  uboot_private.h
)

# Public headers
SET(include_HEADERS
  libuboot.h
)

include(GNUInstallDirs) # for the CMAKE_INSTALL_LIBDIR variable

add_library(ubootenv SHARED ${libubootenv_SOURCES} ${include_HEADERS})
SET_TARGET_PROPERTIES(ubootenv PROPERTIES SOVERSION ${SOVERSION})

ADD_LIBRARY(ubootenv_static STATIC ${libubootenv_SOURCES} ${include_HEADERS})
SET_TARGET_PROPERTIES(ubootenv_static PROPERTIES OUTPUT_NAME ubootenv)
add_executable(fw_printenv fw_printenv.c)
add_executable(fw_setenv fw_setenv.c)
target_link_libraries(fw_printenv ubootenv z)
target_link_libraries(fw_setenv ubootenv z)

install (TARGETS ubootenv ubootenv_static DESTINATION ${CMAKE_INSTALL_LIBDIR})
install (FILES libuboot.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
install (TARGETS fw_printenv DESTINATION ${CMAKE_INSTALL_BINDIR})
install (TARGETS fw_setenv DESTINATION ${CMAKE_INSTALL_BINDIR})

# Handle pkg-config files
set(prefix      ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR})
set(includedir  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR})
set(libdir      ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})

configure_file(${CMAKE_SOURCE_DIR}/src/libubootenv.pc.in ${CMAKE_BINARY_DIR}/libubootenv.pc @ONLY)
set(LIBUBOOTENV_PKG_CONFIG_FILES ${CMAKE_BINARY_DIR}/libubootenv.pc)
message(STATUS "Generate ${LIBUBOOTENV_PKG_CONFIG_FILES}")
# Install pkg-config files
install(FILES ${LIBUBOOTENV_PKG_CONFIG_FILES} DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== debian/changelog ===
libubootenv (0.3-2) unstable; urgency=medium

  [ Dave Jones ]
  * Added symbols for libubootenv0.1 (Closes: #969216)

  [ Bastian Germann ]
  * Compile with NDEBUG set (Closes: #985948)
  * Let libubootenv-dev depend on zlib1g-dev (Closes: #969026)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 06 Apr 2021 09:45:58 +0900

libubootenv (0.3-1) unstable; urgency=medium

  * Update to 0.3.
  * Remove d/patches.
    All patches are no longer needed.
  * Update d/libubootenv-dev.install.
    Add pkgconfig file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 24 Aug 2020 13:56:40 +0900

libubootenv (0.2-2) unstable; urgency=medium

  * update d/watch
    Use uscan's git mode, verifying OpenPGP. (Closes: #968282)
    Thanks to Bastian Germann <bage@linutronix.de>.
  * Fix build with dpkg-buildpackage on stable. (Closes: #967487)
    Thanks to Gylstorff Quirin <quirin.gylstorff@siemens.com>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 24 Aug 2020 13:42:43 +0900

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 CMAKE_FLAGS = \
 	-DCMAKE_VERBOSE_MAKEFILE=ON \
-	-DCMAKE_C_FLAGS_RELEASE="$(CFLAGS)" \
+	-DCMAKE_C_FLAGS_RELEASE="$(CFLAGS) NDEBUG=" \
 	-DCMAKE_EXE_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
 	-DBUILD_DOCS=ON \
 	-DCMAKE_INSTALL_INCLUDEDIR="include/$(DEB_HOST_MULTIARCH)"

## libubootenv 0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 # The version number.
 # set (libubootenv_VERSION_MAJOR 1)
 # set (libubootenv_VERSION_MAJOR_VERSION_MINOR 0)
-set(VERSION	"0.3")
-SET(SOVERSION "${VERSION}")
+set(VERSION	"0.3.2")
+SET(SOVERSION "0")
 add_definitions(-DVERSION="${VERSION}")
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,14 +13,15 @@
 include(GNUInstallDirs) # for the CMAKE_INSTALL_LIBDIR variable
 
 add_library(ubootenv SHARED ${libubootenv_SOURCES} ${include_HEADERS})
-SET_TARGET_PROPERTIES(ubootenv PROPERTIES SOVERSION ${SOVERSION})
+SET_TARGET_PROPERTIES(ubootenv PROPERTIES VERSION ${VERSION} SOVERSION ${SOVERSION})
 
 ADD_LIBRARY(ubootenv_static STATIC ${libubootenv_SOURCES} ${include_HEADERS})
 SET_TARGET_PROPERTIES(ubootenv_static PROPERTIES OUTPUT_NAME ubootenv)
 add_executable(fw_printenv fw_printenv.c)
 add_executable(fw_setenv fw_setenv.c)
-target_link_libraries(fw_printenv ubootenv z)
-target_link_libraries(fw_setenv ubootenv z)
+target_link_libraries(ubootenv z)
+target_link_libraries(fw_printenv ubootenv)
+target_link_libraries(fw_setenv ubootenv)
 
 install (TARGETS ubootenv ubootenv_static DESTINATION ${CMAKE_INSTALL_LIBDIR})
 install (FILES libuboot.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

=== debian/changelog ===
libubootenv (0.3.2-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:13:48 +0100

libubootenv (0.3.2-1) unstable; urgency=medium

  [ Bastian Germann ]
  * Add manpages based on u-boot-tools (Closes: #986361)

  [ Nobuhiro Iwamatsu ]
  * d/control:
    - Add Rules-Requires-Root: no
    - Use debhelper-compat instead of debhelper, and update to 13.
    - Bump Standards-Version to 4.6.0.1 (no change).
  * Remove d/compat.
  * Add d/upstream/metadata.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 14 Dec 2021 08:38:44 +0900

libubootenv (0.3.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0.3.2 (Closes: #981642)
  * Update symbols for correct SOVERSION

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 04 May 2021 09:52:08 +0200

libubootenv (0.3-3) unstable; urgency=medium

  [ Andreas Henriksson ]
  * debian/rules: Remove unused variables
  * debian/rules: Remove CMAKE_VERBOSE_MAKEFILE, set by dh as needed
  * debian/rules: Drop non-existent BUILD_DOCS option
  * Define NDEBUG to avoid debug prints (Closes: #985948)
  * Add autopkgtest smoketest of fw_{print,set}env

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 11 Apr 2021 08:32:03 +0900

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: libubootenv
 Priority: optional
-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 11), cmake, zlib1g-dev, graphviz, doxygen
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), cmake, zlib1g-dev, graphviz, doxygen
+Standards-Version: 4.6.0.1
 Section: utils
+Rules-Requires-Root: no
 Homepage: https://github.com/sbabic/libubootenv
 Vcs-Browser: https://salsa.debian.org/debian/libubootenv
 Vcs-Git: https://salsa.debian.org/debian/libubootenv.git
@@ -12,7 +14,7 @@
 Package: libubootenv-dev
 Section: libdevel
 Architecture: any
-Depends: libubootenv0.1 (= ${binary:Version}), ${misc:Depends}
+Depends: libubootenv0.1 (= ${binary:Version}), zlib1g-dev, ${misc:Depends}
 Suggests: libubootenv-doc
 Multi-Arch: same
 Description: Library to access U-Boot environment - development files

=== debian/watch ===
version=4
opts=mode=git,pgpmode=gittag \
  https://github.com/sbabic/libubootenv.git refs/tags/v([\d\.]+)

## libubootenv 0.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,24 @@
+# SPDX-FileCopyrightText: 2019-2021 Stefano Babic <sbabic@denx.de>
+#
+# SPDX-License-Identifier:     LGPL-2.1-or-later
+
 cmake_minimum_required (VERSION 2.6)
 project (libubootenv C)
 
 # The version number.
 # set (libubootenv_VERSION_MAJOR 1)
 # set (libubootenv_VERSION_MAJOR_VERSION_MINOR 0)
-set(VERSION	"0.3.2")
+set(VERSION	"0.3.5")
 SET(SOVERSION "0")
 add_definitions(-DVERSION="${VERSION}")
+
+if(DEFAULT_CFG_FILE)
+    add_definitions(-DDEFAULT_CFG_FILE="${DEFAULT_CFG_FILE}")
+endif(DEFAULT_CFG_FILE)
+
+if(DEFAULT_ENV_FILE)
+    add_definitions(-DDEFAULT_ENV_FILE="${DEFAULT_ENV_FILE}")
+endif(DEFAULT_ENV_FILE)
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
 
@@ -17,10 +29,10 @@
 # first we can indicate the documentation build as an option and set it to ON by default
 option(BUILD_DOC "Build documentation" ON)
 
-# check if Doxygen is installed
 if(BUILD_DOC)
+    # check if Doxygen is installed
     find_package(Doxygen)
-    if (DOXYGEN_FOUND)
+    if(DOXYGEN_FOUND)
         # set input and output files
         set(DOXYGEN_IN ${CMAKE_CURRENT_SOURCE_DIR}/docs/Doxyfile.in)
         set(DOXYGEN_OUT ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)
@@ -35,7 +47,7 @@
             WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
             COMMENT "Generating API documentation with Doxygen"
             VERBATIM )
-    else (DOXYGEN_FOUND)
-      message("Doxygen need to be installed to generate the doxygen documentation")
-    endif (DOXYGEN_FOUND)
-endif()
+    else(DOXYGEN_FOUND)
+        message("Doxygen need to be installed to generate the doxygen documentation")
+    endif(DOXYGEN_FOUND)
+endif(BUILD_DOC)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: 2019-2021 Stefano Babic <sbabic@denx.de>
+#
+# SPDX-License-Identifier:     LGPL-2.1-or-later
 cmake_minimum_required (VERSION 2.6)
 # Sources and private headers
 SET(libubootenv_SOURCES
@@ -18,15 +21,14 @@
 ADD_LIBRARY(ubootenv_static STATIC ${libubootenv_SOURCES} ${include_HEADERS})
 SET_TARGET_PROPERTIES(ubootenv_static PROPERTIES OUTPUT_NAME ubootenv)
 add_executable(fw_printenv fw_printenv.c)
-add_executable(fw_setenv fw_setenv.c)
-target_link_libraries(ubootenv z)
+target_link_libraries(ubootenv z yaml)
 target_link_libraries(fw_printenv ubootenv)
-target_link_libraries(fw_setenv ubootenv)
+add_custom_target(fw_setenv ALL ${CMAKE_COMMAND} -E create_symlink fw_printenv fw_setenv)
 
 install (TARGETS ubootenv ubootenv_static DESTINATION ${CMAKE_INSTALL_LIBDIR})
 install (FILES libuboot.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
 install (TARGETS fw_printenv DESTINATION ${CMAKE_INSTALL_BINDIR})
-install (TARGETS fw_setenv DESTINATION ${CMAKE_INSTALL_BINDIR})
+install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/fw_setenv DESTINATION ${CMAKE_INSTALL_BINDIR})
 
 # Handle pkg-config files
 set(prefix      ${CMAKE_INSTALL_PREFIX})

=== debian/changelog ===
libubootenv (0.3.5-0.1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:08:00 +0200

libubootenv (0.3.5-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 0.3.5 (Closes: #1020862)
  * d/control: Add libyaml-dev as new build dependency

 -- Gylstorff Quirin <quirin.gylstorff@siemens.com>  Tue, 12 Dec 2023 11:34:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Uploaders: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake, zlib1g-dev, graphviz, doxygen
+Build-Depends: debhelper-compat (= 13), cmake, zlib1g-dev, libyaml-dev, graphviz, doxygen
 Standards-Version: 4.6.0.1
 Section: utils
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# disable libubootenv debug prints, as these break fw_printenv output.
export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG

CMAKE_FLAGS = \
	-DCMAKE_INSTALL_INCLUDEDIR="include/$(DEB_HOST_MULTIARCH)"

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure \
		-- $(CMAKE_FLAGS)
